Debian Bug report logs - #646501
vilistextum: FTBFS: main.c:168:2: error: format not a string literal and no format arguments [-Werror=format-security]

version graph

Package: src:vilistextum; Maintainer for src:vilistextum is Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>;

Reported by: Mònica Ramírez Arceda <monica@probeta.net>

Date: Mon, 24 Oct 2011 15:39:19 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version vilistextum/2.6.9-1

Fixed in version vilistextum/2.6.9-1.1

Done: Mònica Ramírez Arceda <monica@probeta.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>:
Bug#646501; Package src:vilistextum. (Mon, 24 Oct 2011 15:39:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
New Bug report received and forwarded. Copy sent to Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>. (Mon, 24 Oct 2011 15:39:23 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: submit@bugs.debian.org
Subject: vilistextum: FTBFS: main.c:168:2: error: format not a string literal and no format arguments [-Werror=format-security]
Date: Mon, 24 Oct 2011 13:26:26 +0200
Source: vilistextum
Version: 2.6.9-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20111022 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc -DHAVE_CONFIG_H -I. -I. -I..    -Wall -O2 -ansi -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -I/usr/local/include -c `test -f 'main.c' || echo './'`main.c
> main.c:134:21: warning: pointer targets in initialization differ in signedness [-Wpointer-sign]
> main.c: In function 'help':
> main.c:168:2: error: format not a string literal and no format arguments [-Werror=format-security]
> main.c: In function 'parse_args':
> main.c:271:18: warning: pointer targets in assignment differ in signedness [-Wpointer-sign]
> cc1: some warnings being treated as errors
> 
> make[3]: *** [main.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/10/22/vilistextum_2.6.9-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>:
Bug#646501; Package src:vilistextum. (Sun, 04 Dec 2011 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
Extra info received and forwarded to list. Copy sent to Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>. (Sun, 04 Dec 2011 20:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 646501@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: 646501@bugs.debian.org
Subject: vilistextum: diff for NMU version 2.6.9-1.1
Date: Sun, 4 Dec 2011 21:40:50 +0100
[Message part 1 (text/plain, inline)]
tags 646501 + patch
thanks

Dear maintainer,

I've prepared an NMU for vilistextum (versioned as 2.6.9-1.1) 
to fix this bug.

Thanks for your work!
[vilistextum-2.6.9-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Mònica Ramírez Arceda <monica@probeta.net> to control@bugs.debian.org. (Sun, 04 Dec 2011 20:45:07 GMT) Full text and rfc822 format available.

Reply sent to Mònica Ramírez Arceda <monica@probeta.net>:
You have taken responsibility. (Sun, 04 Dec 2011 21:57:11 GMT) Full text and rfc822 format available.

Notification sent to Mònica Ramírez Arceda <monica@probeta.net>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 21:57:13 GMT) Full text and rfc822 format available.

Message #17 received at 646501-close@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: 646501-close@bugs.debian.org
Subject: Bug#646501: fixed in vilistextum 2.6.9-1.1
Date: Sun, 04 Dec 2011 21:55:42 +0000
Source: vilistextum
Source-Version: 2.6.9-1.1

We believe that the bug you reported is fixed in the latest version of
vilistextum, which is due to be installed in the Debian FTP archive:

vilistextum_2.6.9-1.1.diff.gz
  to main/v/vilistextum/vilistextum_2.6.9-1.1.diff.gz
vilistextum_2.6.9-1.1.dsc
  to main/v/vilistextum/vilistextum_2.6.9-1.1.dsc
vilistextum_2.6.9-1.1_amd64.deb
  to main/v/vilistextum/vilistextum_2.6.9-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646501@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mònica Ramírez Arceda <monica@probeta.net> (supplier of updated vilistextum package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 04 Dec 2011 21:16:20 +0100
Source: vilistextum
Binary: vilistextum
Architecture: source amd64
Version: 2.6.9-1.1
Distribution: unstable
Urgency: low
Maintainer: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
Changed-By: Mònica Ramírez Arceda <monica@probeta.net>
Description: 
 vilistextum - a HTML to text converter
Closes: 646501
Changes: 
 vilistextum (2.6.9-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * 01-add-format-arguments.patch: Add format argument to avoid format-security
     error while building. (Closes: #646501)
   * debian/control, debian/rules: Add quilt system to apply patches.
Checksums-Sha1: 
 b6a97a5cf38a695fd5f7449b3741c4a94dc9b2c5 1793 vilistextum_2.6.9-1.1.dsc
 532b78c534b4733a79b53bdaae8b1382d963fc43 1689 vilistextum_2.6.9-1.1.diff.gz
 29222915a526a7021541c78f40edc9e803639144 27214 vilistextum_2.6.9-1.1_amd64.deb
Checksums-Sha256: 
 f1fd9a6ab5e874cfcd226179f935146ff3189008ea9510962053c32f30376b50 1793 vilistextum_2.6.9-1.1.dsc
 1ed609d01fc9b4d5bd5391f65047a49ac27c4649ff4385381b0c37a149d7b3fb 1689 vilistextum_2.6.9-1.1.diff.gz
 4daffa4948af12f0d4396050958b52ad60f87eb6dd2fed85f3b9a4b41b85fefd 27214 vilistextum_2.6.9-1.1_amd64.deb
Files: 
 527aee8a795a6c77bfb50afed5e017f5 1793 text optional vilistextum_2.6.9-1.1.dsc
 7b442c82ce6c46e2a8539698d600e7dd 1689 text optional vilistextum_2.6.9-1.1.diff.gz
 2474acb34f2d377f8864b004325c0fa2 27214 text optional vilistextum_2.6.9-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJO2+RVAAoJELNGT4lqoVlIKvcQAJnPEyMxgeF4MUrmDGW3S+oG
KEubXkLN/71NTMI8jO/UC1ElY94mWUagmj4d67N8nfKVj4sf+ohT+wOE2gylIULE
MAogL8EC/aSIyLVgYYVCFHQZQkhHXwMgneygpJURedGfnB/U9KepeKSqecrrzRlf
dxJcS/Q551+KRBmsEu1zCtk5nMbFPayHY3B45LYJ7dGJVq0L43OeptGHcDy99c2y
aXXrruZ0KBBX+zIuKIR+4QFvR3Ei3WSUAbmncQDjzAh2wGpEhQ3005q/1/psFOWc
HOtwMo8ekgL10j+QFDrk5xwn55pCM+jCd1FxwPkCVDIJMSyzztnOBe5XEg2NDzsx
WAAIz02IHN0rvK/tCKawKgHDDWsFcF423DUJe7EdG/VqGAwncAHwMcJ8AmcwcIS2
Y1VU12fsEAmXxduGaEKzgyrSgDvu1n3S1v4zNtK0U2zG5/XeJiQWMtfTmAj6nKvB
scyGQgI9OJ2UlqhwiN+z7SPK7PjmFmnmaMb63kqgFS29wHZx+y42X9UEi4dl7sfb
ZF5Bzf1cEn3ke/tg4oOMKjPayJgj7i7vkbHIuNDwJqiupVd1LCb/qXcFKd8+SBDH
GlfCeErnruQsFejAYQf6RFim5DyglzhIp7N33ox7id8dvmTu68Wv6eBTdn29EBYv
//8fLOt+EK23EufOAgAH
=FVmC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:35:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:07:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.